

package com.zcloud.modules.sys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcloud.modules.sys.entity.SysMenuEntity;
import com.zcloud.modules.sys.entity.SysUserEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 系统用户
 *
 *
 */
@Mapper
public interface SysUserDao extends BaseMapper<SysUserEntity> {

	SysUserEntity queryById(String userId);

	/**
	 * 查询用户的所有权限
	 * @param userId  用户ID
	 */
	List<String> queryAllPerms(String userId);

	/**
	 * 查询用户的所有菜单ID
	 */
	List<String> queryAllMenuId(String userId);

	/**
	 * 根据用户名，查询系统用户
	 */
	SysUserEntity queryByUserName(String username);

	/**
	 * 分页查询
	 */
	IPage<Map<String, Object>> listPage(Page<Map<String, Object>> page, Map<String, Object> params);

	/**
	 * 查询全部用户
	 */
	List<SysUserEntity> listAll(Map<String, Object> params);

	/**
	 * 根据用户ID数组，批量删除
	 */
	int deleteBatch(String[] userIds);

	List<SysMenuEntity> getRoleMenuByUserId(String userId);
}
